Skip to main content
POST
/
phone-numbers
/
{phoneNumberId}
/
migrate
Migrate phone number to organization
curl --request POST \
  --url https://api.helloannie.com/v1/phone-numbers/{phoneNumberId}/migrate \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "number": "<string>",
    "name": "<string>",
    "language": "ENGLISH",
    "outbound": true,
    "verifiedCallerId": "<string>",
    "callbackForwardingNumber": "<string>",
    "voiceId": "FRIENDLY_BRIGHT",
    "speed": 123,
    "stability": 123,
    "similarity": 123,
    "style": 123
  }
}

Path Parameters

phoneNumberId
string<uuid>
required

The ID of the phone number to migrate

Body

Payload required to migrate a phone number to a different organization

targetOrgId
string<uuid>
required

The target organization ID to migrate this phone number to

Response

Response returned after migrating a phone number to a different organization

success
enum<boolean>
required
Available options:
true
data
object
required

Represents a Twilio phone number and its configuration